Given that v220 licenses are not backward compatible (i.e. will not validate a v219 or earlier release) are customers allowed to continue using their current version of Solid Edge along with v220?

Yes. During the transition to v220 customers will be allowed to use their current version v219, ST10, and so on in parallel with v220 during the transition. Once v221 releases, the overuse piracy detection will be reinstated.